Name:           ktimetracker
Version:        5.0.1
Release:        1%{?dist}
License:        GFDL-1.2-only AND LGPL-3.0-only AND GPL-2.0-only
Summary:        Track time spent on various tasks
Url:            https://invent.kde.org/pim/%{name}
Source0:        https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

# Compile Tools
BuildRequires:  cmake
BuildRequires:  gcc-c++

# Fedora
BuildRequires:  kf5-rpm-macros

# Checks
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  appstream

# KDE Frameworks
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)

%description
%{summary}.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_datadir}/metainfo/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.ktimetracker.ktimetracker.xml
%{_kf5_datadir}/doc/HTML/*/ktimetracker
%{_kf5_datadir}/icons/hicolor/*/apps/ktimetracker.png

%changelog
* Tue Dec 12 2023 Justin Zobel <justin.zobel@gmail.com> - 5.0.1-1
- Initial Package
